// This file is for building client-side typescript found
// in './src/client/typescript' to './src/client/public/generated/js'

import { build } from "esbuild";
import glob from "fast-glob";
import dotenv from "dotenv";

dotenv.config();

const isProdEnv = process.env.PROD === "true";
const entryPoints = await glob("./src/client/src/ts/**/*");

build({
    entryPoints,
    outdir: "./src/client/public/generated/js",
    bundle: true,
    target: ["es6"],
    format: "iife",
    loader: {".ts": "ts"},
    sourcemap: false, // !isProdEnv,
    minify: isProdEnv,
    keepNames: !isProdEnv
}).catch(() => process.exit(1));