import { CommandInteraction, EmbedBuilder } from "discord.js";
import Interaction from "@bot/components/interaction";

export default class Ping extends Interaction {
    name = "ping";
    description = "Measure the bot's ability to respond.";

    async execute(interaction: CommandInteraction) {
        const execTime = Math.abs(Date.now() - interaction.createdTimestamp);
        const apiLatency = Math.floor(this.client.ws.ping);

        const embed = new EmbedBuilder();
          embed.addFields([
            { name: "Command Time", value: `${execTime}ms` },
            { name: "Discord API Latency", value: `${apiLatency}ms` }
        ])

        return interaction.editReply({ embeds: [embed] });
    }
}
