import fs from "fs";
import { join } from "path";

const getAllFiles = (directoryPath: string, existingResult?: string[]) => {
    const fileNames = fs.readdirSync(directoryPath);

    let result: string[] = existingResult ?? [];

    for (const fileName of fileNames) {
        if (!(fileName.endsWith(".ts") || fileName.endsWith(".js"))) continue;

        const fullPath = join(directoryPath, fileName);

        fs.statSync(fullPath).isDirectory()
            ? result = getAllFiles(fullPath, result)
            : result.push(fullPath);
    }

    return result
};

export default getAllFiles;