import { Request, Response } from "express";
import { client as bot } from "@bot/bot";
import prisma from "generated/prisma";

export const get = async (request: Request, response: Response) => {
    const guildId = request.params.guildId;
    const guild = bot.guilds.cache.get(guildId);

    if (!guild) {
        response.status(404).send("404: guild not found");
        return;
    }

    const textMutators: Record<keyof typeof prisma.TextMutator, string> = {
        UWUIFY: "UWUify",
        UWUIFY_SFW: "UWUify (Safe)",
        GOTHIC_SCRIPT: "Gothic Script",
        EMOJI_SUBSTITUTE: "Emoji Substitute",
        ZALGO: "Zalgo",
        MORSE_CODE: "Morse Code",
        BINARY: "Binary",
        HEXADECIMAL: "Hexadecimal",
        REMOVE_VOWELS: "Remove Vowels",
        DOUBLE_CHARACTERS: "Double Characters",
        SMALL_CASE: "Small Case",
        LEET_SPEAK: "L33t Sp34k",
        PIG_LATIN: "Pig Latin",
        UPSIDE_DOWN: "Upside Down",
        ALL_REVERSED: "All Reversed",
        REVERSED_WORDS: "Reversed Words",
        SHUFFLE_WORDS: "Shuffle Words",
        RANDOM_CASE: "Random Case",
        GIBBERISH: "Gibberish",
        SHAKESPEAREAN: "Shakespearean"
    };

    response.render("guild/styles", {
        title: `${guild.name} - Relay`,
        guild: guild,
        textMutators: textMutators
    });
};

export default { get }