import { Request, Response, NextFunction } from "express";
import { client as bot } from "@bot/bot";

// The purpose of this middleware is to attach an object containing cached
// Discord servers to the response, which is accessible in the DOM.
// This is primarily used for rendering servers on the sidebar.
export const attachGuilds = (_request: Request, response: Response, next: NextFunction) => {
    response.locals.guilds = bot.guilds.cache.map(guild => guild);
    next();
}