import { Request, Response, NextFunction } from "express";

// This middleware returns the last segment of the url path.
// It's used to identify which tab to highlight as active on
// the guild view at '/guild/<id>/<page>'
export const guildTabHelper = (request: Request, response: Response, next: NextFunction) => {
    const currentPath = request.path.split("/")
    response.locals.guildPage = currentPath[currentPath.length - 1]
    next();
}